% Skript faltung_conv_DFT_1.m, in dem die Faltung mit conv
% und über die DFT untersucht wird
clear;
% ------- Signale
L = 10;
x = randn(1,L);
M = 20;
y = randn(1,M);
% ------- Faltung mit conv
zc = conv(x,y);
% ------- Faltung über die DFTs
X = fft(x,L+M-1);      Y = fft(y,L+M-1);
zDFT = real(ifft(X.*Y));

figure(1);    clf;
subplot(211); stem(zc);
title('Faltungsergebnis mit conv');
grid on;    xlabel('Index Faltung');
subplot(212); stem(zDFT);
title('Faltungsergebnis über iDFT');
grid on;    xlabel('Index Faltung');


